# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class PhoneNumber.Rel

    java.lang.Object
      com.google.gdata.data.extensions.PhoneNumber.Rel

Enclosing class:
  PhoneNumber

    public static final class PhoneNumber.Rel

extends java.lang.Object

The phone number type.

Field Summary
`static java.lang.String` `ASSISTANT`
`static java.lang.String` `CALLBACK`
`static java.lang.String` `CAR`
`static java.lang.String` `COMPANY_MAIN`
`static java.lang.String` `FAX`
`static java.lang.String` `GENERAL`
`static java.lang.String` `HOME`
`static java.lang.String` `HOME_FAX`
`static java.lang.String` `INTERNAL_EXTENSION`
`static java.lang.String` `ISDN`
`static java.lang.String` `MAIN`
`static java.lang.String` `MOBILE`
`static java.lang.String` `OTHER`
`static java.lang.String` `OTHER_FAX`
`static java.lang.String` `PAGER`
`static java.lang.String` `RADIO`
`static java.lang.String` `SATELLITE`
`static java.lang.String` `TELEX`
`static java.lang.String` `TTY_TDD`
`static java.lang.String` `WORK`
`static java.lang.String` `WORK_FAX`
`static java.lang.String` `WORK_MOBILE`
`static java.lang.String` `WORK_PAGER`

Constructor Summary
`PhoneNumber.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL

    public static final java.lang.String GENERAL

### MOBILE

    public static final java.lang.String MOBILE

See Also:
  Constant Field Values

### HOME

    public static final java.lang.String HOME

See Also:
  Constant Field Values

### WORK

    public static final java.lang.String WORK

See Also:
  Constant Field Values

### WORK_MOBILE

    public static final java.lang.String WORK_MOBILE

See Also:
  Constant Field Values

### CALLBACK

    public static final java.lang.String CALLBACK

See Also:
  Constant Field Values

### ASSISTANT

    public static final java.lang.String ASSISTANT

See Also:
  Constant Field Values

### COMPANY_MAIN

    public static final java.lang.String COMPANY_MAIN

See Also:
  Constant Field Values

### INTERNAL_EXTENSION

    public static final java.lang.String INTERNAL_EXTENSION

See Also:
  Constant Field Values

### FAX

    public static final java.lang.String FAX

See Also:
  Constant Field Values

### HOME_FAX

    public static final java.lang.String HOME_FAX

See Also:
  Constant Field Values

### WORK_FAX

    public static final java.lang.String WORK_FAX

See Also:
  Constant Field Values

### OTHER_FAX

    public static final java.lang.String OTHER_FAX

See Also:
  Constant Field Values

### PAGER

    public static final java.lang.String PAGER

See Also:
  Constant Field Values

### WORK_PAGER

    public static final java.lang.String WORK_PAGER

See Also:
  Constant Field Values

### CAR

    public static final java.lang.String CAR

See Also:
  Constant Field Values

### SATELLITE

    public static final java.lang.String SATELLITE

See Also:
  Constant Field Values

### RADIO

    public static final java.lang.String RADIO

See Also:
  Constant Field Values

### TTY_TDD

    public static final java.lang.String TTY_TDD

See Also:
  Constant Field Values

### ISDN

    public static final java.lang.String ISDN

See Also:
  Constant Field Values

### TELEX

    public static final java.lang.String TELEX

See Also:
  Constant Field Values

### OTHER

    public static final java.lang.String OTHER

See Also:
  Constant Field Values

### MAIN

    public static final java.lang.String MAIN

See Also:
  Constant Field Values

Constructor Detail

### PhoneNumber.Rel

    public PhoneNumber.Rel()